<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\BoardModel as Model;

class BoardEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    protected array $nullableFields = [
        'user_uid',
        'worker_uid',
        'content',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'user_uid',
            'worker_uid',
        ];
    }
    public function getUserUid(): ?int
    {
        return $this->user_uid;
    }
    public function getWorkerUid(): ?int
    {
        return $this->worker_uid;
    }
    public function getCaregory(): string
    {
        return $this->category;
    }
    public function getContent(): ?string
    {
        return $this->category;
    }
}
